Package com.google.android.exoplayer2

## Interface ExoPlayer.MetadataComponent

- All Known Implementing Classes:
    `SimpleExoPlayer`
  Enclosing interface:
    ExoPlayer

      public static interface ExoPlayer.MetadataComponent

  The metadata component of an `ExoPlayer`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMetadataOutput​(MetadataOutput output)` | Deprecated. Use `Player.addListener(Listener)`.
    `void` | `removeMetadataOutput​(MetadataOutput output)` | Deprecated. Use `Player.removeListener(Listener)`.

- - ### Method Detail

    - #### addMetadataOutput

          @Deprecated
          void addMetadataOutput​(MetadataOutput output)

      Deprecated.
      Use `Player.addListener(Listener)`.
      Adds a `MetadataOutput` to receive metadata.
      Parameters:
        `output` - The output to register.

    - #### removeMetadataOutput

          @Deprecated
          void removeMetadataOutput​(MetadataOutput output)

      Deprecated.
      Use `Player.removeListener(Listener)`.
      Removes a `MetadataOutput`.
      Parameters:
        `output` - The output to remove.